# Generated by Django 2.1.2 on 2018-10-28 11:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('data', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Device',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('brand', models.IntegerField(default=0)),
                ('model', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='DeviceType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('id_off_service_1', models.IntegerField(blank=True, default=0)),
                ('id_off_service_2', models.IntegerField(blank=True, default=0)),
                ('id_off_service_3', models.IntegerField(blank=True, default=0)),
                ('id_off_service_4', models.IntegerField(blank=True, default=0)),
                ('id_off_service_5', models.IntegerField(blank=True, default=0)),
                ('id_off_service_6', models.IntegerField(blank=True, default=0)),
                ('id_off_service_7', models.IntegerField(blank=True, default=0)),
                ('id_off_service_8', models.IntegerField(blank=True, default=0)),
                ('id_off_service_9', models.IntegerField(blank=True, default=0)),
                ('id_req_application_1', models.IntegerField(blank=True, default=0)),
                ('id_req_application_2', models.IntegerField(blank=True, default=0)),
                ('id_req_application_3', models.IntegerField(blank=True, default=0)),
                ('id_req_application_4', models.IntegerField(blank=True, default=0)),
                ('id_req_application_5', models.IntegerField(blank=True, default=0)),
                ('id_req_application_6', models.IntegerField(blank=True, default=0)),
                ('id_req_application_7', models.IntegerField(blank=True, default=0)),
                ('id_req_application_8', models.IntegerField(blank=True, default=0)),
                ('id_req_application_9', models.IntegerField(blank=True, default=0)),
                ('id_req_application_10', models.IntegerField(blank=True, default=0)),
                ('id_req_application_11', models.IntegerField(blank=True, default=0)),
                ('id_req_application_12', models.IntegerField(blank=True, default=0)),
                ('id_req_application_13', models.IntegerField(blank=True, default=0)),
                ('id_req_application_14', models.IntegerField(blank=True, default=0)),
                ('id_req_application_15', models.IntegerField(blank=True, default=0)),
                ('id_req_application_16', models.IntegerField(blank=True, default=0)),
                ('id_req_application_17', models.IntegerField(blank=True, default=0)),
                ('id_req_application_18', models.IntegerField(blank=True, default=0)),
            ],
        ),
        migrations.RemoveField(
            model_name='user',
            name='email',
        ),
        migrations.RemoveField(
            model_name='user',
            name='name',
        ),
        migrations.AddField(
            model_name='user',
            name='alpha',
            field=models.FloatField(default=0),
        ),
        migrations.AddField(
            model_name='user',
            name='beta',
            field=models.FloatField(default=0),
        ),
        migrations.AddField(
            model_name='user',
            name='gama',
            field=models.FloatField(default=0),
        ),
        migrations.AddField(
            model_name='device',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='data.DeviceType'),
        ),
        migrations.AddField(
            model_name='device',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user', to='data.User'),
        ),
    ]
